package com.dzeio.charts.axis

import android.graphics.Color
import android.graphics.Paint
import android.graphics.Rect
import androidx.annotation.ColorInt

class YAxis<T> {
    var max: T? = null
    var min: T? = null

    @ColorInt
    var color = Color.parseColor("#FC496D")

    var paint: Paint = Paint().also {
        it.isAntiAlias = true
        it.color = color
        it.textSize = 30f
        it.textAlign = Paint.Align.CENTER
    }

    var legendEnabled = true

    private val rect: Rect = Rect()

    fun getWidth(max: Float): Int {
        paint.getTextBounds(max.toString(), 0, max.toString().length, rect)
        return rect.width()
    }
}
