package com.dzeio.charts.series

import android.graphics.Canvas
import android.graphics.RectF
import com.dzeio.charts.ChartView
import com.dzeio.charts.Entry

abstract class SerieAbstract {

    var datas: ArrayList<Entry> = arrayListOf()

    lateinit var view: ChartView

    /**
     * Animation updates
     */
    abstract fun onUpdate(): Boolean

    /**
     * Function to prepare for an update
     */
    abstract fun prepareData()

    /**
     * Function to display data on the graph
     *
     * @param canvas the canvas to draw on
     * @param rect the rectangle in which you have to draw data
     */
    abstract fun displayData(canvas: Canvas, rect: RectF)
}
